/* linescan.c -- linescan @ width/2 */

/*
 * author: frank.zirkelbach@physik.uni-augsburg.de
 *
 */

#define _GNU_SOURCE
#include <stdio.h>

#include <stdio.h>
#include "bmp.h"

#define DX (3)

int main(int argc,char **argv) {

  t_bmp bmp;
  int x,y,d;
  double val;

  if(argc!=2) {
    printf("usage: %s <filename>\n",argv[0]);
    return -1;
  }

  bmp_init(&bmp,2);
  bmp.mode=READ;
  strcpy(bmp.file,argv[1]);

  bmp_read_file(&bmp);

  dprintf(2,"width = %d ... delta x = %d.\n",bmp.info.width,DX);

  x=bmp.info.width/2;
  for(y=0;y<bmp.info.height;y++) {
    val=0.0;
    for(d=-DX;d<=DX;d++)
      val+=(1.0*(bmp.map[x+d].r+bmp.map[x+d].g+bmp.map[x+d].b)/3);
    printf("%f %f\n",1.0*(bmp.info.height/2-y)/(bmp.info.width*3),val);
    //printf("%f %f\n",1.0*(bmp.info.height/2-y)/(bmp.info.width),val);
    x+=bmp.info.width;
  }

  bmp_shutdown(&bmp);

  return 1;
}
